import { BaseProvider } from '#templates/base/provider';
import { IncidentFile } from '#models/IncidentFile';

export class IncidentFileProvider extends BaseProvider<IncidentFile> {
	public static instance: IncidentFileProvider;

	public static getInstance(): IncidentFileProvider {
		IncidentFileProvider.instance ??= new IncidentFileProvider();
		return IncidentFileProvider.instance;
	}

	public static get model() {
		return IncidentFile;
	}

	constructor() {
		super('IncidentFile');
	}
}
